Package opennlp.uima.chunker

# Class Chunker

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.chunker.Chunker

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public final class Chunker extends org.apache.uima.analysis_component.CasAnnotator_ImplBase
An OpenNLP-based Chunker annotator.

Mandatory parameters:

Type | Name | Description
--- | --- | ---
String | `opennlp.uima.ModelName` | The name of the model file
String | `opennlp.uima.SentenceType` | The full name of the sentence type
String | `opennlp.uima.TokenType` | The full name of the token type
String | `opennlp.uima.POSFeature`
String | `opennlp.uima.ChunkType`
String | `opennlp.uima.ChunkTagFeature`

Optional parameters:

Type | Name | Description
--- | --- | ---
Integer | `opennlp.uima.BeamSize`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHUNK_TAG_FEATURE_PARAMETER`
  The chunk tag feature parameter
  `static final String`
  `CHUNK_TYPE_PARAMETER`
  The chunk type parameter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Chunker()`
  Initializes a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Releases allocated resources.
  `void`
  `initialize(org.apache.uima.UimaContext context)`
  Initializes the current instance with the given context.
  `void`
  `process(org.apache.uima.cas.CAS tcas)`
  Performs chunking on the given `tcas` object.
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`
  Initializes the `type system`.

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CHUNK_TYPE_PARAMETER

    public static final String CHUNK_TYPE_PARAMETER
    The chunk type parameter.
    See Also:
      - Constant Field Values

  - ### CHUNK_TAG_FEATURE_PARAMETER

    public static final String CHUNK_TAG_FEATURE_PARAMETER
    The chunk tag feature parameter
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Chunker

    public Chunker()
    Initializes a new instance.

    Note: Use `initialize(UimaContext)` to initialize this instance. Don't use the constructor.

- ## Method Details

  - ### initialize

    public void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Initializes the current instance with the given context.

    Note: Do all initialization in this method, do not use the constructor.

    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Initializes the `type system`.
    Overrides:
      `typeSystemInit` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### process

    public void process(org.apache.uima.cas.CAS tcas)
    Performs chunking on the given `tcas` object.
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
    Parameters:
      `tcas` - The `CAS` object to process.

  - ### destroy

    public void destroy()
    Releases allocated resources.
    Specified by:
      `destroy` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `destroy` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`